﻿/*---- Fuentes ----*/

/* latin-ext */
@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(../fuentes/pxiEyp8kv8JHgFVrJJnecmNE.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(../fuentes/pxiEyp8kv8JHgFVrJJfecg.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-display: swap;
    src: url(../fuentes/pxiByp8kv8JHgFVrLGT9Z1JlFc-K.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-display: swap;
    src: url(../fuentes/pxiByp8kv8JHgFVrLGT9Z1xlFQ.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-display: swap;
    src: url(../fuentes/pxiByp8kv8JHgFVrLEj6Z1JlFc-K.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-display: swap;
    src: url(../fuentes/pxiByp8kv8JHgFVrLEj6Z1xlFQ.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(../fuentes/pxiByp8kv8JHgFVrLCz7Z1JlFc-K.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(../fuentes/pxiByp8kv8JHgFVrLCz7Z1xlFQ.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/*--------*/

:root {
    --primary: #1A2E66;
    --primary-hover: #184a7e;
    --secundary: #00d7d7;
    --botones: #00d7d7;
    --botones-hover: #1A2E66;
    --linea: #00d7d7;
    --text: white;
    /* --text-lighter: #71707d; */
    --text-lighter: white;
    --text-sign: white;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Mulish, sans-serif;
}

body {
    font-size: 16px;
    font-family: 'Work Sans', sans-serif;
    padding: 1rem;
    display: flex;
    height: 100vh;
    color: var(--text);
    justify-content: center;
    align-items: center;
    background: var(--bg);
}

h1 {
    color: var(--text);
}

.background {
    content: "";
    position: absolute;
    height: 100vh;
    width: 100vw;
    display: grid;
    place-items: center;
    background-color: var(--primary);
    /*background-image: url('../img/Wave.svg');*/
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 60% 50%;
    animation: move 18s alternate infinite linear;
}

@keyframes move {
    100% {
        background-position: 0% 50%;
    }
}

.socials-row {
    display: flex;
    gap: 1rem;
    margin: 1rem 0px;
}

    .socials-row img {
        width: 1.5rem;
        height: 1.5rem;
    }

    .socials-row > a {
        background-color: var(--secondary);
        border-radius: 0.5rem;
        width: 100%;
        min-height: 3rem;
        display: flex;
        gap: 0.75rem;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        font-size: 1.2rem;
        color: var(--text);
        border: 1px solid var(--text-lighter);
        font-weight: 700;
    }

        .socials-row > a:hover {
            background-color: var(--secondary-hover);
            border: 1px solid var(--primary);
        }

.divider {
    display: flex;
    flex-direction: row;
    color: var(--text-lighter);
    gap: 1rem;
    align-items: center;
}

.divider-line {
    width: 100%;
    height: 1px;
    background-color: var(--linea);
    /* opacity: .2; */
}

.centering {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
}

.my-form {
    display: flex;
    flex-direction: column;
    position: relative;
    gap: 1rem;
    /* background-color: white; */
    background: #1815249c;
    border-radius: 1rem;
    box-shadow: 0 20px 60px var(--aura);
    min-width: 17.5rem;
    max-width: 31.25rem;
    width: 100%;
    padding: 2rem;
}

.signup-welcome {
    height: 4rem;
    /*width: 5rem;*/
    object-fit: cover;
}

.signup-welcome-row {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 0.5rem;
}

.my-form__button {
    background-color: var(--botones);
    color: white;
    white-space: nowrap;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
/*    margin-top: 1rem;*/
    line-height: 3.125rem;
    outline: none;
    font-size: 1.125rem;
    letter-spacing: .025em;
    text-decoration: none;
    cursor: pointer;
    font-weight: 800;
    min-height: 3.125rem;
    width: 100%;
    border-radius: 0.5rem;
    box-shadow: 0 5px 10px rgba(0,0,0,.15);
    transition: all .3s ease;
    -webkit-transition: all .3s ease;
}

.text-field-input {
    color: var(--text-lighter);
    font-size: 1rem;
    font-weight: 500;
    max-width: 100%;
    width: 100%;
    border: 1px solid var(--text-lighter);
    height: 3.125rem;
    color: var(--text);
    letter-spacing: .03rem;
    background-color: transparent;
    outline: none;
    transition: .25s;
    border-radius: 0.5rem;
    text-indent: 1.25rem;
    margin-top: 0.5rem;
}

.text-field-input-select {
    font-size: 1rem;
    font-weight: 500;
    max-width: 100%;
    width: 100%;
    border: 1px solid var(--text-lighter);
    height: 3.125rem;
    color: var(--secundary);
    letter-spacing: 0.03rem;
    background-color: #ffffff;
    outline: none;
    transition: .25s;
    border-radius: 0.5rem;
    text-indent: 1.25rem;
    margin-top: 0.5rem;
}

/*--- Boton Inicio ---*/

.my-form__inicio {
    background-color: var(--botones);
    color: white;
    white-space: nowrap;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 0.2rem;
    line-height: 3.125rem;
    outline: none;
    font-size: 1.125rem;
    letter-spacing: .025em;
    text-decoration: none;
    cursor: pointer;
    font-weight: 800;
    min-height: 3.125rem;
    width: 100%;
    border-radius: 0.5rem;
    box-shadow: 0 5px 10px rgba(0,0,0,.15);
    transition: all .3s ease;
    -webkit-transition: all .3s ease;
}

    .my-form__inicio:hover {
        background-color: var(--botones-hover);
    }

/*-------*/

/*--- Boton Cancelar ---*/

.my-form__cancel {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 1rem;
}

.botoncito {
    color: var(--text-sign);
    font-weight: 800;
    font-size: 1.125rem;
    background: #f0f8ff00;
    border: none;
    cursor: pointer;
}

    .botoncito:hover {
        background: linear-gradient(90deg, #00acfc, #00acfc, white, white);
        background-size: 200% auto;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        animation: gradientHover 3.8s linear infinite;
    }

/*------*/

.text-field-input:focus {
    border: 1px solid var(--secundary);
}

.my-form__button:hover {
    background-color: var(--botones-hover);
}

.text-field {
    position: relative;
}

    .text-field-input::-webkit-input-placeholder {
        color: var(--text-lighter);
    }

    .text-field svg {
        position: absolute;
        right: -0.125rem;
        bottom: -0.25rem;
        width: 1.875rem;
        height: 1.875rem;
        transform: translate(-50%,-50%);
        transform-origin: center;
        stroke: var(--text);
    }

    .text-field-input:focus + svg {
        stroke: var(--secundary);
    }

    .text-field label {
        color: var(--text);
        font-size: 0.875rem;
        font-weight: 600;
        letter-spacing: .03rem;
        z-index: 10;
    }

        .text-field label:has(+ input:focus) {
            color: var(--secundary);
        }

.input-icon {
    position: absolute;
    bottom: 0;
    top: 55%;
    right: 0.5rem;
    transform: translate(-50%, -50%);
    transform-origin: center;
}

.my-form__actions {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 1rem;
    margin-top: 0.5rem;
}

.my-form__content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.my-form__actions a {
    color: var(--secondary);
    font-weight: 600;
}

    .my-form__actions a:hover {
        text-decoration: underline;
    }

.my-form__row {
    display: flex;
    justify-content: space-between;
}

.my-form__signin {
    display: flex;
    justify-content: center;
}

    .my-form__signin a {
        color: var(--text-sign);
        font-weight: 800;
        text-decoration: none;
        font-size: 1.125rem;
    }

        .my-form__signin a:hover {
            background: linear-gradient(90deg, var(--secundary), var(--secundary), white, white); /* Degradado de izquierda a derecha */
            background-size: 200% auto; /* Tamaño del degradado */
            -webkit-background-clip: text; /* Aplica el degradado solo al texto */
            -webkit-text-fill-color: transparent; /* Hace el texto transparente para mostrar el degradado */
            animation: gradientHover 3.8s linear infinite; /* Animación más lenta (5 segundos) */
        }

.form-olvido {
    color: var(--text);
    font-size: 0.875rem;
    font-weight: 600;
    letter-spacing: .03rem;
    text-decoration: none;
    transition: color 0.5s ease; /* Transición suave para el color */
    z-index: 10;
}

    /* Efecto hover con degradado infinito */
    .form-olvido:hover {
        background: linear-gradient(90deg, #00acfc, #00acfc, white, white, #00acfc); /* Degradado de izquierda a derecha */
        background-size: 200% auto; /* Tamaño del degradado */
        -webkit-background-clip: text; /* Aplica el degradado solo al texto */
        -webkit-text-fill-color: transparent; /* Hace el texto transparente para mostrar el degradado */
        animation: gradientHover 5s linear infinite; /* Animación más lenta (5 segundos) */
    }

/* Animación para el degradado (de derecha a izquierda) */
@keyframes gradientHover {
    0% {
        background-position: 100% 50%; /* Inicia el degradado a la derecha */
    }

    50% {
        background-position: 0% 50%; /* Mueve el degradado a la izquierda */
    }

    100% {
        background-position: 100% 50%; /* Regresa el degradado a la derecha */
    }
}

/*----- ¡Responsive Time! -----*/

@media (max-width: 480px) {

    .my-form {
        width: 95%;
    }

}